<?php
	header('Content-type: text/css');
	// Lecture de la configuration. En cas d'absence de fichier .ini, on utilise des valeurs par dfaut.
	include_once(dirname(__FILE__) . '/../../inc/post_config.php');
	$cfg_file = DC_SHARE_DIR . '/photoblog/photoblog.ini';
	$photo_thumb_width  = 90;
	$photo_thumb_height = 90;

	if (@file_exists($cfg_file)) {
		$photoblog_cfg = iniFile::read($cfg_file, true);
		$photo_thumb_width  = $photoblog_cfg['sp_thumb_width'];
		$photo_thumb_height = $photoblog_cfg['sp_thumb_height'];
	}
?>

/* ***** BEGIN LICENSE BLOCK *****
 * This file is part of DotClear.
 * Copyright (c) 2004 Samuel Latchman and contributors. All rights
 * reserved.
 *
 * DotClear is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * DotClear is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with DotClear; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * ***** END LICENSE BLOCK *****
 *
 * Contributor(s):
 *  Olivier Meunier
 *  Theme par defaut adapte par Julien Mudry et Kozlika
 *
 *
 */  
body {
	margin : 0;
	padding : 0;
	font-family : Verdana,Arial,Geneva,Helvetica,sans-serif;
	font-size : 0.76em;
	background : #eee;
	color : #333;
}
#container {
	margin : 0;
	padding : 0 30px 0 0;
	background : #eee url(images/bg-right.png) repeat-y 100% 0;
}
p { margin : 1em 0; }
img { border : none; }
form { display : block; margin : 0; padding : 0; }

h1 { font-size : 2em; margin : 0.67em 0; }
h2 { font-size : 1.33em; margin : 0.83em 0; }
h3 { font-size : 1.17em; margin : 1em 0; }
h4 { font-size : 1em; margin : 1.33em 0; }
h5 { font-size : 0.83em; margin : 1.67em 0; }
h6 { font-size : 0.67em; margin : 2.33em 0; }

code,pre { font-family : "Courier New",monospace; font-size : 1em; }

q { font-style : italic; }

a {
	color : #6E602F;
	text-decoration: none;
	font-weight:bold;
}
a:hover, a:focus, a:active {
	color: #0373A1;
}

a[hreflang]:after {
	content: "\0000a0(" attr(hreflang) ")";
	color : #666;
	background : transparent;
}

h2 {
	font-family : Georgia,"Times New Roman","New York",serif;
}

table {
	font-size : 1em;
}


/* Layout
-------------------------------------------------------- */
#page {
	margin : 0;
	padding : 0 0 0 30px;
	background: #fff url(images/bg-left.png) repeat-y 0 0;
}
#top {
	margin : 0;
	background: #545454 url(images/head.png) repeat-x 0 3px;
	color : #39455B;
	height: 72px;
	padding: 1px 0 0 0;
	
}
#top h1 {
	margin : 10px 0 0 10px;
}
#top a {
	color : #39455B;
	text-decoration : none;
}

#prelude {
	position : relative;
	top : -65px;
	margin : 0;
	padding : 0 15px 0 0;
	font-size : 0.85em;
	text-align : right;
	color : #abd6de;
}
#prelude a {
	color : #abd6de;
}
#prelude a:hover, #prelude a:focus {
	color : #0373A1;
}

#main {
	width : 100%;
	text-align: center;
	margin : 0;
}

#main h3 {
	color : #333;
	margin-top : 2em;
}

#content {
	padding : 1px 1em 1em 1em;
	text-align: center;
}


/* Navigation du photoblog 
-------------------------------------------------------- */
.vignettes {
}

.vignettes a {
	background-position: 0 <?php printf('-' . $photo_thumb_height . 'px'); ?>;
	height: <?php printf($photo_thumb_height . 'px'); ?>;
	background-color: transparent;
	background-repeat: no-repeat;
	display: block;
	border: 3px solid #8BC6D2;
	width: <?php printf($photo_thumb_width . 'px'); ?>;
	margin: 4px auto;
}

.vignettes a:hover {
	border: 3px solid #8BC6D2;
	background-position: top left;
}

.vignettes_archive {
	text-align: center;
	margin-left: auto;
	margin-right: auto;
	padding-bottom: 20px;
	width: <?php printf(($photo_thumb_width + 50) . 'px'); ?>;
	max-width: <?php printf(($photo_thumb_width + 50) . 'px'); ?>;
	height: <?php printf(($photo_thumb_height + 70) . 'px'); ?>;
	overflow: hidden;
	float: left;
}

#navigation {
	text-align:center;
	clear: both;
	margin: 10px;
	margin-left: auto;
	margin-right: auto;
	padding: 1em 0;
}

#navigation p {
	margin: 0 1.5em;
}

#navigation img {
	border: 3px solid #8BC6D2;
}

#navigation img a:hover {
	background-color: transparent;
}

#navprev {
	float: left;
	width: 40%;
	margin: 0;
	text-align: left;
}

#navnext {
	float: right;
	width: 40%;
	margin: 0;
	text-align: right;
}

#navnow {
	width: <?php printf(($photo_thumb_width + 20) . 'px'); ?>;
	margin-left: auto;
	margin-right: auto;
}

#navnow table {
	margin-left: auto;
	margin-right: auto;
	text-align: center;
	color: #333;
	background-color: #8BC6D2;
}

#navnow img {
	margin: 4px auto;
	width: <?php printf($photo_thumb_width . 'px'); ?>;
	height: <?php printf($photo_thumb_height . 'px'); ?>;
}

#navnext table {
	margin-left: 0;
	margin-right: auto; 
	text-align: center;
}

#navprev table {
	margin-left: auto;
	margin-right: 0; 
	text-align: center;
}

/* Sidebar
-------------------------------------------------------- */
#sidebar {
	width : 16.5em;
	float : right;	
	margin : 0 0 2em 0;
}
#sidebar h2 {
	padding : 10px 0 0 0;
	margin : 1.3em 0 0.3em 0;
	background : transparent url(images/bg-title-sidebar.png) no-repeat 100% 0;
	font-weight : normal;
	font-family : Georgia, "Times New Roman", "New York", serif;
	color : #598F9A;
	text-transform : uppercase;
}

#clear {
	clear: both;
}

#photo_archive_title {
	width: 100%;
}

#photo_archive_title h2 {
	text-align: center;
}

#photo_archive {
	width: 80%;
	float: right;
}

#sidebar_archive {
	margin: 0 80% 0 1em;
	font-size:0.92em;
}
#sidebar_archive ul, #sidebar_archive li {
	list-style: none;
	margin: 0 0.5em;
	padding: 0;
}
#sidebar_archive ul {
	margin-bottom: 2em;
}
span.current a {
	color: #0373A1;
}

/* Footer
-------------------------------------------------------- */
.footer, .minimenu {
	clear: both;
	line-height: 160%;
	position : relative;
	font-size:0.86em;
	text-align: center;
	padding: 0.5em;
	border-bottom:3px solid #ccc;
}


.footer a {
	color : #666;
}
.minimenu {
	border-top:2px solid #6E602F;
	border-bottom:2px solid #6E602F;
}
.minimenu a {
	color: #6E602F;
}
/* Post
-------------------------------------------------------- */
.post {
	padding : 1em 1em 0 1em;
	margin:0;
	text-align : center;
	color: #000;
	font-family : "Lucida grande",Verdana,Lucida,Helvetica,sans-serif;
}
.post-title, .post-title a {
	font-family : "Lucida grande",Verdana,Lucida,Helvetica,sans-serif;
	color : #39455B;
	font-weight: bold;
	text-decoration: none;
}
.post-info-co, .post-info-co span {
	font-size:0.86em;
	background:#8BC6D2;
	padding:0.33em;
	color:#333;
	text-align:center;
}
.post-info {
	padding:0;
}
.day-date {
	display:none;
}
.post-content {
}
.post-chapo {
	text-align:center;
	font-style:italic;
	color:#333;
}

#trackbacks {
	width: 60%;
	margin-left: auto;
	margin-right: auto;
	clear: both;
	padding-top: 0.8em;
}
#comments {
	width: 60%;
	margin-left: auto;
	margin-right: auto;
}

#content-preview {
	width:60%;
	margin-left: auto;
	margin-right: auto;
}

#trackbacks, #comments, #comment-preview {
	text-align: left;
}

#trackbacks blockquote, #comments blockquote, #comment-preview blockquote {
	display : block;
	margin : 0 0 1em 0;
	padding : 1px 1em;
	font-style : normal;
	color : #666;
	background : transparent url(images/line-1.png) repeat-x 0 0;
}
.comment-info {
	margin : 0;
	padding : 0.3em 0 0.3em 18px;
}
#trackbacks .comment-info {
	background-image : url(images/ico_tb.png);
	background-position : 4px 60%;
	background-repeat : no-repeat;
}
#comments .comment-info {
	background-image : url(images/ico_comments.png);
	background-position : 4px 60%;
	background-repeat : no-repeat;
}
.comment-number {
	font-family : Georgia,"Times New Roman","New York",serif;
	font-size : 1.8em;
}
.comment-number a {
	text-decoration : none;
}

/* Error messages
-------------------------------------------------------- */
.error {
	border : 1px solid #c00;
	background : #fee;
	padding : 0.5em;
}
.error ul {
	padding-left : 20px;
}
.error li {
	list-style : square;
}


/* Interactions
-------------------------------------------------------- */
fieldset {
	display : block;
	border : none;
	margin : 0;
	padding : 0;
}

input, textarea {
	font-family : Verdana,Arial,Geneva,Helvetica,sans-serif;
	font-size : 1em;
	border-width : 1px;
	border-color : #ccc;
}

input[type], textarea[name] {
	background: #f1f0ed;
}

input[type=submit], input[type=reset] {
	background : #ccc;
	color : #000;
}

input[type=submit]:hover {
	background : #598F9A;
	color : #fff;
}

textarea {
	width : 100%;
}

p.field {
	margin : 0.5em 0 0 0;
}

p.field label {
	display : block;
	font-weight : bold;
	font-size : 0.85em;
}

.form-help {
}

#comment-form {
}

input.preview {
}
input.submit {
}

#c_nom {
}
#c_mail {
}
#c_site {
}
#c_content {
}
#c_remember {
}